Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class IO

    java.lang.Object
      IO

    public class IO

extends java.lang.Object

Constructor Summary
`IO()`

Method Summary
`static void` | `ecc(boolean get)` Festlegung des ECC-Mode
`static boolean` | `getBoolean(java.lang.String prompt)` Eingabe vom Typ boolean
`static boolean` | `getBoolean(java.lang.String prompt, java.lang.String trueText, java.lang.String falseText)` Eingabe vom Typ boolean
`static byte` | `getByte(java.lang.String prompt)` Eingabe vom Typ byte
`static char` | `getChar(java.lang.String prompt)` Eingabe vom Typ char
`static double` | `getDouble(java.lang.String prompt)` Eingabe vom Typ double
`static float` | `getFloat(java.lang.String prompt)` Eingabe vom Typ float
`static int` | `getInt(java.lang.String prompt)` Eingabe vom Typ int
`static long` | `getLong(java.lang.String prompt)` Eingabe vom Typ long
`static short` | `getShort(java.lang.String prompt)` Eingabe vom Typ short
`static java.lang.String` | `getString(java.lang.String prompt)` Eingabe vom Typ String
`static void` | `show(java.lang.String prompt)` Ausgabe einer Zeichenkette
`static void` | `show(java.lang.String prompt, java.lang.String heading)` Ausgabe einer Zeichenkette

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IO

    public IO()

Method Detail

### getByte

    public static byte getByte(java.lang.String prompt)

  Eingabe vom Typ byte

  Parameters:
    `prompt` - Hinweistext als String
  Returns:
    byte Eingabe als Wert vom Typ byte

### getShort

    public static short getShort(java.lang.String prompt)

  Eingabe vom Typ short

  Parameters:
    `prompt` - Hinweistext als String
  Returns:
    short Eingabe als Wert vom Typ short

### getInt

    public static int getInt(java.lang.String prompt)

  Eingabe vom Typ int

  Parameters:
    `prompt` - Hinweistext als String
  Returns:
    int Eingabe als Wert vom Typ int

### getLong

    public static long getLong(java.lang.String prompt)

  Eingabe vom Typ long

  Parameters:
    `prompt` - Hinweistext als String
  Returns:
    long Eingabe als Wert vom Typ long

### getFloat

    public static float getFloat(java.lang.String prompt)

  Eingabe vom Typ float

  Parameters:
    `prompt` - Hinweistext als String
  Returns:
    float Eingabe als Wert vom Typ float

### getDouble

    public static double getDouble(java.lang.String prompt)

  Eingabe vom Typ double

  Parameters:
    `prompt` - Hinweistext als String
  Returns:
    double Eingabe als Wert vom Typ double

### getChar

    public static char getChar(java.lang.String prompt)

  Eingabe vom Typ char

  Parameters:
    `prompt` - Hinweistext als String
  Returns:
    char Eingabe als Wert vom Typ char

### getString

    public static java.lang.String getString(java.lang.String prompt)

  Eingabe vom Typ String

  Parameters:
    `prompt` - Hinweistext als String
  Returns:
    String Eingabe als Wert vom Typ String

### getBoolean

    public static boolean getBoolean(java.lang.String prompt,
                                     java.lang.String trueText,
                                     java.lang.String falseText)

  Eingabe vom Typ boolean

  Parameters:
    `prompt` - Hinweistext als String
    `trueText` - Text auf der True-Schaltfläche
    `falseText` - Text auf der False-Schaltfläche
  Returns:
    boolean Eingabe als Wert vom Typ boolean

### getBoolean

    public static boolean getBoolean(java.lang.String prompt)

  Eingabe vom Typ boolean

  Parameters:
    `prompt` - Hinweistext als String
  Returns:
    boolaen Eingabe als Wert vom Typ boolean

### ecc

    public static void ecc(boolean get)

  Festlegung des ECC-Mode

  Parameters:
    `get` - (true or false) Standard: false

### show

    public static void show(java.lang.String prompt)

  Ausgabe einer Zeichenkette

  Parameters:
    `prompt` - Hinweistext als String

### show

    public static void show(java.lang.String prompt,
                            java.lang.String heading)

  Ausgabe einer Zeichenkette

  Parameters:
    `prompt` - Hinweistext als String
    `heading` - Titel des Fensters als String

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD